<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<body>
<style>
    #z4_craft .layui-form-select .layui-edge {
        right: 20px;
    }
</style>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">帆布袋</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="帆布袋"/>
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kind" class="select" lay-search lay-filter="kind">
                    <option value="1">帆布袋</option>
                </select>
            </div>
            <div class="layui-form-item">
                <div class="layui-input-inline">
                    <p>
                        宽：
                    </p>
                    <div class="layui-form-item">
                        <input type="text" name="width" id="width" class="layui-input" autocomplete="off">
                    </div>
                </div>
                <div class="layui-input-inline">
                    <p>
                        高：
                    </p>
                    <div class="layui-form-item">
                        <input type="text" name="length" id="length" class="layui-input" autocomplete="off">
                    </div>
                </div>
            </div>

            <p>
                数量(个)
            </p>
            <div class="layui-form-item">
                <input type="text" name="count" id="count" class="layui-input">
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                款式
            </p>
            <div class="layui-form-item">
                <select name="notePaperKind" class="select" lay-search lay-filter="kind">
                    <option value="无底无侧">无底无侧</option>
                </select>
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-form-item" id='z4_craft'>
                <div class="layui-input-block">
                    印刷工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="彩色印刷" title="彩色印刷" checked>

                </div>
                <div class="layui-input-block">
                    印面工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="单面" title="单面" checked>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="双面" title="双面">
                </div>
                <div class="layui-input-block">
                    布料颜色：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="纯白色" title="纯白色" checked>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="米黄色" title="米黄色">
                </div>
                <div class="layui-input-block">
                    配件：
                    <input type="checkbox" class="peijian" name="craft" lay-filter="peijian" value="帆布绳"
                           title="帆布绳" checked>
                    <input type="checkbox" class="peijian" name="craft" lay-filter="peijian" value="织带绳"
                           title="织带绳">
                    <span class="layui-inline" style="width: 200px;display: none ">
                        <select name="s_color">
                            <option value="红色">红色</option>
                            <option value="蓝色">蓝色</option>
                            <option value="绿色">绿色</option>
                            <option value="黄色">黄色</option>
                            <option value="黑色">黑色</option>
                            <option value="橙色">橙色</option>
                            <option value="粉色">粉色</option>
                        </select>
                    </span>
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>

    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;


        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";
        const carft_list1 = ["单面", "双面"];

        const carft_list2 = ["纯白色", "米黄色"];

        const carft_list3 = ["帆布绳", "织带绳"];
        // 清空轮播图
        $("#carousel").empty();
        $("#remark").empty();
        $(".ui_feb").show();
        $(".ui_feb select").attr("disabled", false);
        $.ajax({
            url: "${pageContext.request.contextPath}/getImgs",
            type: "GET",
            data: {
                proTypeValue: $("#proTypeValue").val(),
                kindValue: $('input[name="kindValue"]').val()
            },
            success: function (result) {
                for (let i = 0; i < result.length; i++) {
                    // 只留一个remark
                    remark = "";
                    html += '<div><img style="width:100%;height: 100%;object-fit: contain" src="' + result[i].imgUrl + '"></div>';
                    remark += '<div><span>' + result[i].remark + '<span/></div>';
                }
                $("#carousel").append(html);
                // 如果没有说明，就不显示null
                if (remark.indexOf("null") < 0) {
                    $("#remark").append(remark);
                }
                // 如果没有轮播图就隐藏
                if (result.length == 0) {
                    document.getElementById("test1").style.display = "none";   //隐藏
                } else {
                    document.getElementById("test1").style.display = "block";   //显示
                    ins.reload({
                        elem: '#test1',
                        width: result[0].imgWidth,  //设置容器宽度
                        height: result[0].imgHeight
                    });
                }
            }
        });

        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                    if (!$(this).is(':disabled')) {
                        craft_list.push($(this).val());
                    }
                }
            );
            if (!craft_list.includes("彩色印刷")) {
                $(data.elem).prop("checked", true);
                layer.msg("印刷工艺不能取消", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft1 = carft_list1.filter(craft => craft_list.includes(craft));
            if (carft1.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("印面不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft2 = carft_list2.filter(craft => craft_list.includes(craft));
            if (carft2.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("布料颜色工艺不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }

        })
        form.on('checkbox(peijian)', function (data) {
            let craft_list = [];
            $(".peijian:checked").each(function () {
                    if (!$(this).is(':disabled')) {
                        craft_list.push($(this).val());
                    }
                }
            );
            const carft3 = carft_list3.filter(craft => craft_list.includes(craft));
            if (carft3.length > 1) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('配件只能选择一种！', {offset: ['300px', '300px']}, {icon: 5});
                form.render();
                return false;
            }
            if (data.value == '织带绳') {
                if (data.elem.checked) {
                    $("select[name='s_color']").parent().show();
                    $("select[name='s_color']").prop("disabled", false)
                } else {
                    $("select[name='s_color']").parent().hide();
                    $("select[name='s_color']").prop("disabled", true)
                }
            }

        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var number = $("#number").val();
            let width = $("#width").val();
            let height = $("#length").val();
            var size = width + "*" + height;
            var count = $("#count").val();
            var kind = $("select[name='kind'] option:selected").text();
            var craft = [];

            craft.push($("select[name='notePaperKind'] option:selected").val());
            $("input:checkbox[name='craft']:checked").each(function (i) {
                // 没有被禁用的工艺加到arr中
                if (!$(this).is(':disabled')) {
                    if ($(this).val() == '织带绳') {
                        craft.push($(this).val());
                        craft.push($("select[name='s_color'] option:selected").val() + $(this).val());
                    } else {
                        craft.push($(this).val());
                    }
                }
            });
            if ((width.split("*")[0] < 20 || width.split("*")[1] > 48)) {
                layer.msg('宽度限于大于等于20CM小于等于48CM！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }

            const carft1 = carft_list1.filter(item => craft.includes(item));
            if (carft1.length == 0) {
                layer.msg("请选择印面工艺", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            const carft2 = carft_list2.filter(item => craft.includes(item));
            if (carft2.length == 0) {
                layer.msg("请选择布料颜色", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            const carft3 = carft_list3.filter(item => craft.includes(item));
            if (carft3.length == 0) {
                layer.msg("请选择配件", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            craft = craft.filter(item => item != "织带绳")
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = '帆布袋 ' + ' - ' + size + ' CM (同款内容)\n';

                    span_result += `工艺：` + craft.join(",") + '\n';

                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }

                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                        if(window.parent.system_isGai){
                            span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                        }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>